Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interactive
  Definition Classes
    nsc
-  package tests
  Definition Classes
    interactive
- CancelException
- CommentPreservingTypers
- CompilerControl
- CondPickler
- ContextTrees
- FreshRunReq
- Global
- InteractiveAnalyzer
- InteractiveReporter
- Lexer
- LogReplay
- Logger
- Main
- MissingResponse
- NoSuchUnitError
- NullLogger
- Pickler
- Picklers
- PresentationCompilerThread
- PrettyWriter
- Problem
- REPL
- RangePositions
- Replayer
- Response
- RichCompilationUnits
- ShutdownReq

t

scala.tools.nsc.interactive

# Picklers

###

#### trait Picklers extends AnyRef

Self Type
  Global
Source
  Picklers.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Global
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Picklers
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Diff = (Int, Int, String)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Picklers toany2stringadd[Picklers] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Picklers, B)
   Implicit
     This member is added by an implicit conversion from Picklers toArrowAssoc[Picklers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  implicit def abstractFile: Pickler[AbstractFile]
7.  implicit def action: Pickler[() => Unit]
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  implicit def askDocCommentItem: CondPickler[Global.AskDocCommentItem]
10.  implicit def askLinkPosItem: CondPickler[Global.AskLinkPosItem]
11.  implicit def askLoadedTypedItem: CondPickler[Global.AskLoadedTypedItem]
12.  implicit def askParsedEnteredItem: CondPickler[Global.AskParsedEnteredItem]
13.  implicit def askScopeCompletionItem: CondPickler[Global.AskScopeCompletionItem]
14.  implicit def askToDoFirstItem: CondPickler[Global.AskToDoFirstItem]
15.  implicit def askTypeAtItem: CondPickler[Global.AskTypeAtItem]
16.  implicit def askTypeCompletionItem: CondPickler[Global.AskTypeCompletionItem]
17.  implicit def askTypeItem: CondPickler[Global.AskTypeItem]
18.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
19.  def defaultThrowable[T <: Throwable]: CondPickler[T]
20.  def delta(f: AbstractFile, cs: Array[Char]): Global.Diff
21.  implicit def emptyAction: CondPickler[EmptyAction]
22.  def ensuring(cond: (Picklers) => Boolean, msg: => Any): Picklers
    Implicit
      This member is added by an implicit conversion from Picklers toEnsuring[Picklers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
23.  def ensuring(cond: (Picklers) => Boolean): Picklers
    Implicit
      This member is added by an implicit conversion from Picklers toEnsuring[Picklers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
24.  def ensuring(cond: Boolean, msg: => Any): Picklers
    Implicit
      This member is added by an implicit conversion from Picklers toEnsuring[Picklers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
25.  def ensuring(cond: Boolean): Picklers
    Implicit
      This member is added by an implicit conversion from Picklers toEnsuring[Picklers] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
26.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
28.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
29.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Picklers toStringFormat[Picklers] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
30.  lazy val freshRunReq: CondPickler[FreshRunReq]
31.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
32.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
33.  implicit def interruptReq: Pickler[InterruptReq]
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  implicit lazy val namePickler: Pickler[Global.Name]
36.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
37.  lazy val noPosition: CondPickler[NoPosition.type]
38.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
39.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
40.  lazy val offsetPosition: CondPickler[Global.Position]
41.  def patch(f: AbstractFile, d: Global.Diff): Array[Char]
42.  implicit lazy val position: Pickler[Global.Position]
43.  lazy val rangePosition: CondPickler[Global.Position]
44.  implicit def reloadItem: CondPickler[Global.ReloadItem]
45.  lazy val shutdownReq: CondPickler[ShutdownReq.type]
46.  implicit lazy val sourceFile: Pickler[SourceFile]
47.  implicit lazy val symPickler: Pickler[Global.Symbol]
48.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
49.  implicit lazy val throwable: Pickler[Throwable]
50.  def toString(): String
    Definition Classes
      AnyRef → Any
51.  lazy val transparentPosition: CondPickler[Global.Position]
52.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
53.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
54.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
55.  implicit def workEvent: Pickler[WorkEvent]

### Deprecated Value Members

1.  def →[B](y: B): (Picklers, B)
   Implicit
     This member is added by an implicit conversion from Picklers toArrowAssoc[Picklers] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPicklers to any2stringadd[Picklers]

### Inherited by implicit conversion StringFormat fromPicklers to StringFormat[Picklers]

### Inherited by implicit conversion Ensuring fromPicklers to Ensuring[Picklers]

### Inherited by implicit conversion ArrowAssoc fromPicklers to ArrowAssoc[Picklers]

### Ungrouped